sharing(1)

NAME
sharing - create share points for afp, ftp and smb services.

SYNOPSIS
sharing [-a <path> [options]] [-e <share point name> [options]] [-r <share point name>] [-l]

DESCRIPTION

A list of flags and their descriptions:

-a <path>
    add a new share point for the directory specified by <path>.

-e <share point name>
    edit the share point record specified by <share point name>.

-r <share point name>
    delete the share point record specified by <share point name>.

-l  list all existing share point records.

Description of options The following options modify share point record attributes

-A <afp name>
    use customized name <afp name> when using share point with afp.

-F <ftp name>
    use customized name <ftp name> when using share point with ftp.

-S <smb name>
    use customized name <smb name> when using share points with smb.

-s <flags>
    use this option to modify individually, the sharing attribute for afp, ftp and smb. By default a share point record is enabled for afp, ftp and smb. To modify the indiviual attributes AND the following flags as required: 100 (enable sharing for afp only), 010 (enable sharing for ftp only), 001 (enable sharing for smb only). Specify 000 to turn off sharing of a share point all together. use customized name <smb name> when using share points with smb.

-g <guest flag>
    use this option to modify individually, the "guest" attribute for afp, ftp and smb. The "guest" attribute specifies whether a service will allow guest access to this share point record. By default a "guest" is enabled for afp, ftp and smb. To modify the attribute, AND the following <guest flags> as required: 100 (enable guest access for afp only), 010 (enable guest access for ftp only), 001 (enable guest access for smb only). Specify 000 to turn off guest access for the share point all together.

-i <inherit privileges flag>
    use this option to modify the "inherit privileges" attribute for afp. The "inherit privileges" attribute specifies whether afp will apply the classic privilege model to operations within this share point. By default "inherit privileges" is disabled for afp. To modify the "inherit privileges", AND the following <guest flags> as required: 10 (enable "inherit privileges" for afp only). Specify 00 to turn off "inherit privileges" for the share point all together.

-n <customized record name>
    Specify a <customized record name> to be used as the share point record name. By default the record name is the name of the directory pointed to by the share point record. This directory is specified bt the <path> when the record is created.

EXAMPLES

    /usr/sbin/sharing -a /SomePath/ShareThisDirectory

This example shows how create a share point record for the directory "/SomePath/ShareThisDirectory".

    /usr/sbin/sharing -e ShareThisDirectory -A SP1 -g 101

This example shows how to edit the share point record created above, adding a customized name "SP1" for afp servies, and enabling guest access only for afp and smb.

FILES
/usr/sbin/sharing
    location of tool